Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Interface BasicBean

All Known Subinterfaces:
  BeanieBaby, CoffeeBean, JellyBean

public interface BasicBean
extends Item

This is an item that describes a bean as we know it here at BuyBeans.com.

     Primary Key = examples.buybeans.item.BasicBeanPk

                      fullDescription
     [BasicBean] <*>------> [String]

                      customerRating
     [BasicBean] <*>------> [int]

See Also:
  `BasicBeanPk`, `BasicBeanHome`, `BasicBeanImpl`, `BasicBeanValue`

Method Summary
`BasicBeanValue` | `getBasicBeanByValue()` Get all of BasicBean's attributes.
`int` | `getCustomerRating()` Get the value of customerRating
`java.lang.String` | `getFullDescription()` Get the value of fullDescription
`void` | `setBasicBeanByValue(BasicBeanValue value)` Set all of BasicBean's attributes to the passed in value.
`void` | `setCustomerRating(int customerRating)` Set the value of customerRating
`void` | `setFullDescription(java.lang.String fullDescription)` Set the value of fullDescription

Methods inherited from interface theory.smart.ebusiness.item.Item
`addFirstQuality, addLastQuality, addQualities, addQualities, addQuality, addQuality, calculatePrice, calculatePrice, containsQuality, getDefaultItemPriceCalculationPolicy, getDescription, getFirstQuality, getIdentifier, getItemByValue, getLastQuality, getNumberOfQualities, getPrice, getQualities, getQualities, getQuality, getSupplier, getVersion, indexOfQuality, isQualitiesEmtpy, lastIndexOfQuality, removeAllQualities, removeFirstQuality, removeLastQuality, removeQuality, removeQuality, setDefaultItemPriceCalculationPolicy, setDescription, setItemByValue, setPrice, setQuality`

Methods inherited from interface theory.smart.foundation.ConfigurableEntity
`setSuccessorAtClassLevel, setSuccessorAtInstanceLevel`

Methods inherited from interface theory.smart.foundation.Configurable
`addProperty, getProperty, removeProperty`

Methods inherited from interface theory.smart.foundation.BusinessPolicyManager
`addBusinessPolicy, getBusinessPolicy, removeBusinessPolicy`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getBasicBeanByValue

    public BasicBeanValue getBasicBeanByValue()
                                       throws java.rmi.RemoteException

  Get all of BasicBean's attributes.
  Returns:
    BasicBeanValue the BasicBean value object

### setBasicBeanByValue

    public void setBasicBeanByValue(BasicBeanValue value)
                             throws java.rmi.RemoteException

  Set all of BasicBean's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `BasicBeanValue` - the BasicBean value object

### getFullDescription

    public java.lang.String getFullDescription()
                                        throws java.rmi.RemoteException

  Get the value of fullDescription
  Returns:
    fullDescription.

### setFullDescription

    public void setFullDescription(java.lang.String fullDescription)
                            throws java.rmi.RemoteException

  Set the value of fullDescription
  Parameters:
    `fullDescriptions` - fullDescription to be added

### getCustomerRating

    public int getCustomerRating()
                          throws java.rmi.RemoteException

  Get the value of customerRating
  Returns:
    customerRating.

### setCustomerRating

    public void setCustomerRating(int customerRating)
                           throws java.rmi.RemoteException

  Set the value of customerRating
  Parameters:
    `customerRatings` - customerRating to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.